Monitoring::Livestatus::Class::Base::Table(3pm)

NAME
Monitoring::Livestatus::Class::Base::Table - Base class for all table objects.

  SYNOPSIS
    my $class = Monitoring::Livestatus::Class->new(
        backend => 'INET',
        socket => '10.211.55.140:6557',
    );

    my $table_obj = $class->table('services');

    my $data = $table_obj->search( {} )->hashref_array();

ATTRIBUTES

  ctx
Reference to context object Monitoring::Livestatus::Class

  filter
Reference to filter object Monitoring::Livestatus::Class

  stats
Reference to filter object Monitoring::Livestatus::Class

  table_name
Containts the table name.

  statments
Containts all the statments.

  options
Containts all the options.

METHODS

  columns
Arguments: $colA, $colB, ...

Return: $self

Set columns...

  headers
Returns a array or reference to array, depending on the calling context, of all header columns.

  filter
Example usage:

    $table_obj->search( { name => 'localhost' } );
    $table_obj->search( { name => [ 'localhost', 'gateway' ] } );
    $table_obj->search( [ { name => 'localhost' }, { name => 'gateway' } ] );

Returns: $self

  hashref_array
Returns a array or reference to array, depending on the calling context.

Example usage:

    my $hashref_array = $table_obj->search( { } )->hashref_array;
    print Dumper $hashref_array;

  hashref_pk
Returns a hash of hash references.

Example usage:

    my $hashref_pk = $table_obj->search( { } )->hashref_pk();
    print Dumper $hashref_pk;

  has_single_primary_key

  single_primary_key

  build_table_name

  build_primary_keys

AUTHOR
See "AUTHOR" in Monitoring::Livestatus::Class and "CONTRIBUTORS" in Monitoring::Livestatus::Class.

COPYRIGHT & LICENSE
Copyright 2009 Robert Bohne.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.